Skip to main content
POST
Merge a saved edit with regenerated content

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Headers

X-As-User
string | null

Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token

Path Parameters

tree_id
string
required

Body

application/json
path
string
required

File path to auto-merge.

Response

Successful Response

tree_id
string
required
status
string
required
version
integer
required
files
TreeFile · object[] | null
required
error
string | null
required
created_at
string<date-time>
required
completed_at
string<date-time> | null
required
meta
Meta · object
required
generating
TreeGenerating · object | null

Status of a newer generation that is processing or recently failed.

This can accompany the last ready tree so clients can report progress while continuing to use ready content.